# imap_mail_copy

(PHP 4, PHP 5, PHP 7)

imap_mail_copy — Copy specified messages to a mailbox

### Description

imap_mail_copy ( resource `$imap_stream` , string `$msglist` , string `$mailbox` [, int `$options` = 0 ] ) : bool

Copies mail messages specified by `msglist` to specified mailbox.

### Parameters

`imap_stream`

  An IMAP stream returned by imap_open().

`msglist`

  `msglist` is a range not just message numbers (as described in » RFC2060).

`mailbox`

  The mailbox name, see imap_open() for more information

  Warning

  Passing untrusted data to this parameter is insecure, unless imap.enable_insecure_rsh is disabled.

`options`

  `options` is a bitmask of one or more of

  - `CP_UID` - the sequence numbers contain UIDS
  - `CP_MOVE` - Delete the messages from the current mailbox after copying

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- imap_mail_move() - Move specified messages to a mailbox